Subject: [Errata Rejected] RFC7230 (4281)

From: RFC Errata System <[email-masked]>
Date: Sun, 1 Mar 2015 02:31:58 -0800 (PST)

The following errata report has been rejected for RFC7230,
"Hypertext Transfer Protocol (HTTP/1.1): Message Syntax and Routing".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=7230&eid=4281

--------------------------------------
Status: Rejected
Type: Editorial

Reported by: Demian Brecht <[email-masked]>
Date Reported: 2015-02-26
Rejected by: Barry Leiba (IESG)

Section: 3.3.2

Original Text
-------------
For messages that do not include a payload body, the Content-Length
indicates the size of the selected representation (Section 3 of
[RFC7231]).

Corrected Text
--------------
For outbound messages that do not include a payload body, the
Content-Length indicates the size of the selected representation
(Section 3 of [RFC7231]).

Notes
-----
Assuming my interpretation is correct, this phrase as-is is a little confusing given the next paragraphs states:

"A user agent SHOULD NOT send a Content-Length header field when the request message does not contain a payload body and the method semantics do not anticipate such a body."

The former is ambiguous, the latter explicit.
 --VERIFIER NOTES-- 
The sentence in question has to be taken in context with the entire paragraph, with the rest of the section, and with the understand that it's only a summary.  The details are provided in the rest of the section and in Section 3.3.3.

--------------------------------------
RFC7230 (draft-ietf-httpbis-p1-messaging-26)
--------------------------------------
Title               : Hypertext Transfer Protocol (HTTP/1.1): Message Syntax and Routing
Publication Date    : June 2014
Author(s)           : R. Fielding, Ed., J. Reschke, Ed.
Category            : PROPOSED STANDARD
Source              : Hypertext Transfer Protocol Bis
Area                : Applications
Stream              : IETF
Verifying Party     : IESG